Package Details: mikidown 0.3.11-1

Git Clone URL: https://aur.archlinux.org/mikidown.git (read-only)
Package Base: mikidown
Description: A note taking application featuring markdown syntax
Upstream URL: http://shadowkyogre.github.io/mikidown/
Licenses: MIT
Submitter: rns
Maintainer: ShadowKyogre
Last Packager: ShadowKyogre
Votes: 10
Popularity: 0.000000
First Submitted: 2012-03-09 14:51
Last Updated: 2016-08-15 18:02

Dependencies (10)

Required by (0)

Sources (1)

Latest Comments

ShadowKyogre commented on 2016-08-31 17:45

@mgmartins: Decided to push the slickpicker updates again after not hearing from the AUR mailing list in the past few days.

I'm going to make local clones of all my AUR PKGBUILDs so this doesn't happen again.

ShadowKyogre commented on 2016-08-29 15:11

@mgmartins: You likely have an un-updated version of slickpicker.

Which **shouldn't've** been a problem if I hadn't woken up as soon as you mentioned this because last I checked, I remembered updating those to their pyqt5 ports.

Depending on which version of slickpicker you have, use the following patch on the PKGBUILD:

https://ptpb.pw/Kk8y - if you're building it from git (slickpicker-git)

https://ptpb.pw/3-m9 - if you're building it from pypi (slickpicker)

I haven't pushed these to the AUR yet because the commit logs are pretty disconcerting... It's only showing things from the initial import when I remember putting the pyqt5 upgrade ports on the AUR earlier this month...

mgmartins commented on 2016-08-29 08:27

I get this error:

Info: creating stash file /tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/.qmake.stash
Updating '/tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/locale/mikidown_fr_FR.qm'...
Generated 118 translation(s) (118 finished and 0 unfinished)
Updating '/tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/locale/mikidown_es.qm'...
Generated 0 translation(s) (0 finished and 0 unfinished)
Ignored 98 untranslated source text(s)
Updating '/tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/locale/mikidown_de.qm'...
Generated 0 translation(s) (0 finished and 0 unfinished)
Ignored 98 untranslated source text(s)
Updating '/tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/locale/mikidown_pt_BR.qm'...
Generated 0 translation(s) (0 finished and 0 unfinished)
Ignored 98 untranslated source text(s)
Traceback (most recent call last):
File "setup.py", line 13, in <module>
from mikidown.config import __version__
File "/tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/mikidown/__init__.py", line 21, in <module>
from .mikiwindow import MikiWindow
File "/tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/mikidown/mikiwindow.py", line 19, in <module>
from .mikibook import NotebookListDialog, NotebookSettingsDialog, Mikibook, MikidownCfgDialog
File "/tmp/yaourt-tmp-user/aur-mikidown/src/mikidown-0.3.11/mikidown/mikibook.py", line 22, in <module>
import slickpicker
File "/usr/lib/python3.5/site-packages/slickpicker.py", line 1, in <module>
from PyQt4 import QtCore,QtGui
RuntimeError: the PyQt4.QtCore and PyQt5.QtCore modules both wrap the QObject class

ShadowKyogre commented on 2014-11-01 18:23

Updated the upstream URL accordingly after updating the package.

stoffl commented on 2014-07-19 07:35

Upstream URL gives 404, according to this pull request ownership of project has changed https://github.com/ShadowKyogre/mikidown/pull/33

new URL: https://github.com/ShadowKyogre/mikidown